Bug 737307 - After resuming from suspension, bluetooth mouse no longer works.
Summary: After resuming from suspension, bluetooth mouse no longer works.
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-10 23:02 UTC by vitor.dominor
Modified: 2012-06-09 13:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-09 13:38:54 UTC


Attachments (Terms of Use)
lsusb verbose output (42.65 KB, text/plain)
2011-09-10 23:02 UTC, vitor.dominor
no flags Details
Custom script to disable/reenable bluetooth and unload/reload btusb module before/after suspending (590 bytes, application/x-shellscript)
2012-01-16 05:56 UTC, vitor.dominor
no flags Details

Description vitor.dominor 2011-09-10 23:02:29 UTC
Created attachment 522552 [details]
lsusb verbose output

Description of problem:
After my laptop resumes from suspension, my bluetooth mouse is unable to connect to the laptop. It seems that the internal bluetooth adapter does not resume correctly and becomes unavailable.
In the system log, the following messages appear (through the use of the filter btusb):
kernel	[   20.951580] usbcore: registered new interface driver btusb
kernel	[  109.553766] btusb 7-2:1.0: no reset_resume for driver btusb?
kernel	[  109.553768] btusb 7-2:1.1: no reset_resume for driver btusb?

If I press the wireless enable/disable button, the bluetooth is then correctly initialized.
Also if I disable usb autosuspend, the above error occurs anyway.
The internal bluetooth adapter, in question, is the Hewlett-Packard Wireless (Bluetooth + WLAN) Interface [Integrated Module] with ID 03f0:171d for the HP Pavilion dv5t laptop.

Version-Release number of selected component (if applicable):
kernel 2.6.40.4-5.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Suspend computer with bluetooth adapter enabled.
2. Resume computer.
  
Actual results:
The bluetooth adapter does not re-initialize correctly and the bluetooth mouse can't reconnect to the laptop.

Expected results:
Mouse reconnecting successfully and working.

Comment 1 vitor.dominor 2012-01-09 22:01:19 UTC
Still happens in Fedora 16 with latest fedora kernel 3.1.7-1.fc16.x86_64.

Comment 2 vitor.dominor 2012-01-16 05:56:26 UTC
Created attachment 555433 [details]
Custom script to disable/reenable bluetooth and unload/reload btusb module before/after suspending

Comment 3 vitor.dominor 2012-01-16 05:57:57 UTC
This script is a successful workaround to this issue, at least for me.

Comment 4 Josh Boyer 2012-06-06 19:19:44 UTC
Is this still happening in F16 with the 3.3 kernel?  Do you still need the workaround script?

Comment 5 vitor.dominor 2012-06-08 22:19:50 UTC
I am sorry to say I can no longer tell you that, since I have recently switched from Fedora to Archlinux, using kernel 3.4.1.


Note You need to log in before you can comment on or make changes to this bug.